import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.awt.geom.*;




public class Linea_che_ruota extends JFrame{

Panel p;

int X=400;
int Y=400;
public static void main(String[] args){

  Linea_che_ruota f = new Linea_che_ruota();
  f.setDefaultCloseOperation(EXIT_ON_CLOSE);
  f.show();

}
  public void Linea_che_ruota(){

     setTitle("");
     setSize(X,Y);
    getContentPane().setLayout(new BorderLayout());

     p = new Panel();
     getContentPane().add(p);

  }
 }
   class Panel extends JPanel{


   public Panel(){


	   }
  public void   paintComponent(Graphics g){

       //super.paintComponent(g);
       Graphics2D g2 = (Graphics2D)g;
       double angolo = Math.PI/180;
       //AffineTransform t = new AffineTransform()
       //AffineTransform t=AffineTransform.createRotationInstance(angolo);
       for (int i = 0; i<360; i++)
       {
        g2.translate(0,i);
        //g2.rotate(angolo,getWidth()/2,getHeight()/2);
        Line2D.Double lin = new Line2D.Double(getWidth()/4 , getHeight()/2 , 3*(getWidth())/4 , getHeight()/2);
        g2.draw(lin);
       }
     }
   }